set moduleName XMC_dq_current_ctrl
set isTopModule 1
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_none
set isOneStateSeq 0
set ProfileFlag 0
set StallSigGenFlag 0
set isEnableWaveformDebug 1
set C_modelName {XMC_dq_current_ctrl}
set C_modelType { void 0 }
set C_modelArgList {
	{ Ig_d_ref_V int 32 regular {axi_s 0 volatile  { Ig_d_ref_V Data } }  }
	{ Ig_q_ref_V int 32 regular {axi_s 0 volatile  { Ig_q_ref_V Data } }  }
	{ Ig_d_V int 32 regular {axi_s 0 volatile  { Ig_d_V Data } }  }
	{ Ig_q_V int 32 regular {axi_s 0 volatile  { Ig_q_V Data } }  }
	{ Ug_d_V int 32 regular {axi_s 0 volatile  { Ug_d_V Data } }  }
	{ Ug_q_V int 32 regular {axi_s 0 volatile  { Ug_q_V Data } }  }
	{ kp_dq_V int 32 regular {axi_s 0 volatile  { kp_dq_V Data } }  }
	{ kiTs_dq_V int 32 regular {axi_s 0 volatile  { kiTs_dq_V Data } }  }
	{ Eg_d_ref_V int 32 regular {axi_s 1 volatile  { Eg_d_ref_V Data } }  }
	{ Eg_q_ref_V int 32 regular {axi_s 1 volatile  { Eg_q_ref_V Data } }  }
	{ Eg_zero_ref_V int 32 regular {axi_s 1 volatile  { Eg_zero_ref_V Data } }  }
}
set C_modelArgMapList {[ 
	{ "Name" : "Ig_d_ref_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_d_ref.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_q_ref_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_q_ref.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_d_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_d.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ig_q_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ig_q.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_d_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_d.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Ug_q_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Ug_q.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "kp_dq_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "kp_dq.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "kiTs_dq_V", "interface" : "axis", "bitwidth" : 32, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "kiTs_dq.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Eg_d_ref_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Eg_d_ref.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Eg_q_ref_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Eg_q_ref.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} , 
 	{ "Name" : "Eg_zero_ref_V", "interface" : "axis", "bitwidth" : 32, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "Eg_zero_ref.V","cData": "int","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 0}]}]}]} ]}
# RTL Port declarations: 
set portNum 35
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst_n sc_in sc_logic 1 reset -1 active_low_sync } 
	{ Ig_d_ref_V_TDATA sc_in sc_lv 32 signal 0 } 
	{ Ig_d_ref_V_TVALID sc_in sc_logic 1 invld 0 } 
	{ Ig_d_ref_V_TREADY sc_out sc_logic 1 inacc 0 } 
	{ Ig_q_ref_V_TDATA sc_in sc_lv 32 signal 1 } 
	{ Ig_q_ref_V_TVALID sc_in sc_logic 1 invld 1 } 
	{ Ig_q_ref_V_TREADY sc_out sc_logic 1 inacc 1 } 
	{ Ig_d_V_TDATA sc_in sc_lv 32 signal 2 } 
	{ Ig_d_V_TVALID sc_in sc_logic 1 invld 2 } 
	{ Ig_d_V_TREADY sc_out sc_logic 1 inacc 2 } 
	{ Ig_q_V_TDATA sc_in sc_lv 32 signal 3 } 
	{ Ig_q_V_TVALID sc_in sc_logic 1 invld 3 } 
	{ Ig_q_V_TREADY sc_out sc_logic 1 inacc 3 } 
	{ Ug_d_V_TDATA sc_in sc_lv 32 signal 4 } 
	{ Ug_d_V_TVALID sc_in sc_logic 1 invld 4 } 
	{ Ug_d_V_TREADY sc_out sc_logic 1 inacc 4 } 
	{ Ug_q_V_TDATA sc_in sc_lv 32 signal 5 } 
	{ Ug_q_V_TVALID sc_in sc_logic 1 invld 5 } 
	{ Ug_q_V_TREADY sc_out sc_logic 1 inacc 5 } 
	{ kp_dq_V_TDATA sc_in sc_lv 32 signal 6 } 
	{ kp_dq_V_TVALID sc_in sc_logic 1 invld 6 } 
	{ kp_dq_V_TREADY sc_out sc_logic 1 inacc 6 } 
	{ kiTs_dq_V_TDATA sc_in sc_lv 32 signal 7 } 
	{ kiTs_dq_V_TVALID sc_in sc_logic 1 invld 7 } 
	{ kiTs_dq_V_TREADY sc_out sc_logic 1 inacc 7 } 
	{ Eg_d_ref_V_TDATA sc_out sc_lv 32 signal 8 } 
	{ Eg_d_ref_V_TVALID sc_out sc_logic 1 outvld 8 } 
	{ Eg_d_ref_V_TREADY sc_in sc_logic 1 outacc 8 } 
	{ Eg_q_ref_V_TDATA sc_out sc_lv 32 signal 9 } 
	{ Eg_q_ref_V_TVALID sc_out sc_logic 1 outvld 9 } 
	{ Eg_q_ref_V_TREADY sc_in sc_logic 1 outacc 9 } 
	{ Eg_zero_ref_V_TDATA sc_out sc_lv 32 signal 10 } 
	{ Eg_zero_ref_V_TVALID sc_out sc_logic 1 outvld 10 } 
	{ Eg_zero_ref_V_TREADY sc_in sc_logic 1 outacc 10 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst_n", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst_n", "role": "default" }} , 
 	{ "name": "Ig_d_ref_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_d_ref_V", "role": "TDATA" }} , 
 	{ "name": "Ig_d_ref_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_d_ref_V", "role": "TVALID" }} , 
 	{ "name": "Ig_d_ref_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_d_ref_V", "role": "TREADY" }} , 
 	{ "name": "Ig_q_ref_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_q_ref_V", "role": "TDATA" }} , 
 	{ "name": "Ig_q_ref_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_q_ref_V", "role": "TVALID" }} , 
 	{ "name": "Ig_q_ref_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_q_ref_V", "role": "TREADY" }} , 
 	{ "name": "Ig_d_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_d_V", "role": "TDATA" }} , 
 	{ "name": "Ig_d_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_d_V", "role": "TVALID" }} , 
 	{ "name": "Ig_d_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_d_V", "role": "TREADY" }} , 
 	{ "name": "Ig_q_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ig_q_V", "role": "TDATA" }} , 
 	{ "name": "Ig_q_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ig_q_V", "role": "TVALID" }} , 
 	{ "name": "Ig_q_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ig_q_V", "role": "TREADY" }} , 
 	{ "name": "Ug_d_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_d_V", "role": "TDATA" }} , 
 	{ "name": "Ug_d_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ug_d_V", "role": "TVALID" }} , 
 	{ "name": "Ug_d_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ug_d_V", "role": "TREADY" }} , 
 	{ "name": "Ug_q_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Ug_q_V", "role": "TDATA" }} , 
 	{ "name": "Ug_q_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "Ug_q_V", "role": "TVALID" }} , 
 	{ "name": "Ug_q_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "Ug_q_V", "role": "TREADY" }} , 
 	{ "name": "kp_dq_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "kp_dq_V", "role": "TDATA" }} , 
 	{ "name": "kp_dq_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "kp_dq_V", "role": "TVALID" }} , 
 	{ "name": "kp_dq_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "kp_dq_V", "role": "TREADY" }} , 
 	{ "name": "kiTs_dq_V_TDATA", "direction": "in", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "kiTs_dq_V", "role": "TDATA" }} , 
 	{ "name": "kiTs_dq_V_TVALID", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "invld", "bundle":{"name": "kiTs_dq_V", "role": "TVALID" }} , 
 	{ "name": "kiTs_dq_V_TREADY", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "inacc", "bundle":{"name": "kiTs_dq_V", "role": "TREADY" }} , 
 	{ "name": "Eg_d_ref_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Eg_d_ref_V", "role": "TDATA" }} , 
 	{ "name": "Eg_d_ref_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Eg_d_ref_V", "role": "TVALID" }} , 
 	{ "name": "Eg_d_ref_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Eg_d_ref_V", "role": "TREADY" }} , 
 	{ "name": "Eg_q_ref_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Eg_q_ref_V", "role": "TDATA" }} , 
 	{ "name": "Eg_q_ref_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Eg_q_ref_V", "role": "TVALID" }} , 
 	{ "name": "Eg_q_ref_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Eg_q_ref_V", "role": "TREADY" }} , 
 	{ "name": "Eg_zero_ref_V_TDATA", "direction": "out", "datatype": "sc_lv", "bitwidth":32, "type": "signal", "bundle":{"name": "Eg_zero_ref_V", "role": "TDATA" }} , 
 	{ "name": "Eg_zero_ref_V_TVALID", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "Eg_zero_ref_V", "role": "TVALID" }} , 
 	{ "name": "Eg_zero_ref_V_TREADY", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "outacc", "bundle":{"name": "Eg_zero_ref_V", "role": "TREADY" }}  ]}

set RtlHierarchyInfo {[
	{"ID" : "0", "Level" : "0", "Path" : "`AUTOTB_DUT_INST", "Parent" : "", "Child" : ["1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21"],
		"CDFG" : "XMC_dq_current_ctrl",
		"Protocol" : "ap_ctrl_none",
		"ControlExist" : "0", "ap_start" : "0", "ap_ready" : "0", "ap_done" : "0", "ap_continue" : "0", "ap_idle" : "0", "real_start" : "0",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "56", "EstimateLatencyMax" : "56",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"Port" : [
			{"Name" : "Ig_d_ref_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_d_ref_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_q_ref_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_q_ref_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_d_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_d_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ig_q_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ig_q_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_d_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ug_d_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Ug_q_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "Ug_q_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "kp_dq_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "kp_dq_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "kiTs_dq_V", "Type" : "Axis", "Direction" : "I",
				"BlockSignal" : [
					{"Name" : "kiTs_dq_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Eg_d_ref_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Eg_d_ref_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Eg_q_ref_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Eg_q_ref_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Eg_zero_ref_V", "Type" : "Axis", "Direction" : "O",
				"BlockSignal" : [
					{"Name" : "Eg_zero_ref_V_TDATA_blk_n", "Type" : "RtlSignal"}]},
			{"Name" : "Delay_init_count_down", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "Delay_init_count_down_0", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "Unit_Delay_q", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "Unit_Delay_q_0", "Type" : "OVld", "Direction" : "IO"},
			{"Name" : "Delay_q_Array", "Type" : "Memory", "Direction" : "X"},
			{"Name" : "Delay_q_0_Array", "Type" : "Memory", "Direction" : "X"}]},
	{"ID" : "1", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.Delay_q_Array_U", "Parent" : "0"},
	{"ID" : "2", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.Delay_q_0_Array_U", "Parent" : "0"},
	{"ID" : "3", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.faddfsub_32ns_32ns_32_10_full_dsp_1_U1", "Parent" : "0"},
	{"ID" : "4", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.faddfsub_32ns_32ns_32_10_full_dsp_1_U2", "Parent" : "0"},
	{"ID" : "5", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U3", "Parent" : "0"},
	{"ID" : "6", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U4", "Parent" : "0"},
	{"ID" : "7", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U5", "Parent" : "0"},
	{"ID" : "8", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fmul_32ns_32ns_32_7_max_dsp_1_U6", "Parent" : "0"},
	{"ID" : "9", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fcmp_32ns_32ns_1_4_no_dsp_1_U7", "Parent" : "0"},
	{"ID" : "10", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.fcmp_32ns_32ns_1_4_no_dsp_1_U8", "Parent" : "0"},
	{"ID" : "11", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_d_ref_V_U", "Parent" : "0"},
	{"ID" : "12", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_q_ref_V_U", "Parent" : "0"},
	{"ID" : "13", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_d_V_U", "Parent" : "0"},
	{"ID" : "14", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ig_q_V_U", "Parent" : "0"},
	{"ID" : "15", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_d_V_U", "Parent" : "0"},
	{"ID" : "16", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Ug_q_V_U", "Parent" : "0"},
	{"ID" : "17", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_kp_dq_V_U", "Parent" : "0"},
	{"ID" : "18", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_kiTs_dq_V_U", "Parent" : "0"},
	{"ID" : "19", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Eg_d_ref_V_U", "Parent" : "0"},
	{"ID" : "20", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Eg_q_ref_V_U", "Parent" : "0"},
	{"ID" : "21", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.regslice_both_Eg_zero_ref_V_U", "Parent" : "0"}]}


set ArgLastReadFirstWriteLatency {
	XMC_dq_current_ctrl {
		Ig_d_ref_V {Type I LastRead 0 FirstWrite -1}
		Ig_q_ref_V {Type I LastRead 0 FirstWrite -1}
		Ig_d_V {Type I LastRead 0 FirstWrite -1}
		Ig_q_V {Type I LastRead 0 FirstWrite -1}
		Ug_d_V {Type I LastRead 0 FirstWrite -1}
		Ug_q_V {Type I LastRead 0 FirstWrite -1}
		kp_dq_V {Type I LastRead 0 FirstWrite -1}
		kiTs_dq_V {Type I LastRead 0 FirstWrite -1}
		Eg_d_ref_V {Type O LastRead -1 FirstWrite 55}
		Eg_q_ref_V {Type O LastRead -1 FirstWrite 55}
		Eg_zero_ref_V {Type O LastRead -1 FirstWrite 55}
		Delay_init_count_down {Type IO LastRead -1 FirstWrite -1}
		Delay_init_count_down_0 {Type IO LastRead -1 FirstWrite -1}
		Unit_Delay_q {Type IO LastRead -1 FirstWrite -1}
		Unit_Delay_q_0 {Type IO LastRead -1 FirstWrite -1}
		Delay_q_Array {Type X LastRead -1 FirstWrite -1}
		Delay_q_0_Array {Type X LastRead -1 FirstWrite -1}}}

set hasDtUnsupportedChannel 0

set PerformanceInfo {[
	{"Name" : "Latency", "Min" : "56", "Max" : "56"}
	, {"Name" : "Interval", "Min" : "57", "Max" : "57"}
]}

set PipelineEnableSignalInfo {[
]}

set Spec2ImplPortList { 
	Ig_d_ref_V { axis {  { Ig_d_ref_V_TDATA in_data 0 32 }  { Ig_d_ref_V_TVALID in_vld 0 1 }  { Ig_d_ref_V_TREADY in_acc 1 1 } } }
	Ig_q_ref_V { axis {  { Ig_q_ref_V_TDATA in_data 0 32 }  { Ig_q_ref_V_TVALID in_vld 0 1 }  { Ig_q_ref_V_TREADY in_acc 1 1 } } }
	Ig_d_V { axis {  { Ig_d_V_TDATA in_data 0 32 }  { Ig_d_V_TVALID in_vld 0 1 }  { Ig_d_V_TREADY in_acc 1 1 } } }
	Ig_q_V { axis {  { Ig_q_V_TDATA in_data 0 32 }  { Ig_q_V_TVALID in_vld 0 1 }  { Ig_q_V_TREADY in_acc 1 1 } } }
	Ug_d_V { axis {  { Ug_d_V_TDATA in_data 0 32 }  { Ug_d_V_TVALID in_vld 0 1 }  { Ug_d_V_TREADY in_acc 1 1 } } }
	Ug_q_V { axis {  { Ug_q_V_TDATA in_data 0 32 }  { Ug_q_V_TVALID in_vld 0 1 }  { Ug_q_V_TREADY in_acc 1 1 } } }
	kp_dq_V { axis {  { kp_dq_V_TDATA in_data 0 32 }  { kp_dq_V_TVALID in_vld 0 1 }  { kp_dq_V_TREADY in_acc 1 1 } } }
	kiTs_dq_V { axis {  { kiTs_dq_V_TDATA in_data 0 32 }  { kiTs_dq_V_TVALID in_vld 0 1 }  { kiTs_dq_V_TREADY in_acc 1 1 } } }
	Eg_d_ref_V { axis {  { Eg_d_ref_V_TDATA out_data 1 32 }  { Eg_d_ref_V_TVALID out_vld 1 1 }  { Eg_d_ref_V_TREADY out_acc 0 1 } } }
	Eg_q_ref_V { axis {  { Eg_q_ref_V_TDATA out_data 1 32 }  { Eg_q_ref_V_TVALID out_vld 1 1 }  { Eg_q_ref_V_TREADY out_acc 0 1 } } }
	Eg_zero_ref_V { axis {  { Eg_zero_ref_V_TDATA out_data 1 32 }  { Eg_zero_ref_V_TVALID out_vld 1 1 }  { Eg_zero_ref_V_TREADY out_acc 0 1 } } }
}

set busDeadlockParameterList { 
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
}

# RTL bus port read request latency information:
set busReadReqLatencyList { 
}

# RTL bus port write response latency information:
set busWriteResLatencyList { 
}

# RTL array port load latency information:
set memoryLoadLatencyList { 
}
