#include <systemc>
#include <vector>
#include <iostream>
#include "hls_stream.h"
#include "ap_int.h"
#include "ap_fixed.h"
using namespace std;
using namespace sc_dt;
class AESL_RUNTIME_BC {
  public:
    AESL_RUNTIME_BC(const char* name) {
      file_token.open( name);
      if (!file_token.good()) {
        cout << "Failed to open tv file " << name << endl;
        exit (1);
      }
      file_token >> mName;//[[[runtime]]]
    }
    ~AESL_RUNTIME_BC() {
      file_token.close();
    }
    int read_size () {
      int size = 0;
      file_token >> mName;//[[transaction]]
      file_token >> mName;//transaction number
      file_token >> mName;//pop_size
      size = atoi(mName.c_str());
      file_token >> mName;//[[/transaction]]
      return size;
    }
  public:
    fstream file_token;
    string mName;
};
unsigned int ap_apatb_Ig_d_ref_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_d_ref_V_size_Reader("../tv/stream_size/stream_size_in_Ig_d_ref_V.dat");
unsigned int ap_apatb_Ig_q_ref_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_q_ref_V_size_Reader("../tv/stream_size/stream_size_in_Ig_q_ref_V.dat");
unsigned int ap_apatb_Ig_d_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_d_V_size_Reader("../tv/stream_size/stream_size_in_Ig_d_V.dat");
unsigned int ap_apatb_Ig_q_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ig_q_V_size_Reader("../tv/stream_size/stream_size_in_Ig_q_V.dat");
unsigned int ap_apatb_Ug_d_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_d_V_size_Reader("../tv/stream_size/stream_size_in_Ug_d_V.dat");
unsigned int ap_apatb_Ug_q_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Ug_q_V_size_Reader("../tv/stream_size/stream_size_in_Ug_q_V.dat");
unsigned int ap_apatb_kp_dq_V_cap_bc;
static AESL_RUNTIME_BC __xlx_kp_dq_V_size_Reader("../tv/stream_size/stream_size_in_kp_dq_V.dat");
unsigned int ap_apatb_kiTs_dq_V_cap_bc;
static AESL_RUNTIME_BC __xlx_kiTs_dq_V_size_Reader("../tv/stream_size/stream_size_in_kiTs_dq_V.dat");
unsigned int ap_apatb_Eg_d_ref_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Eg_d_ref_V_size_Reader("../tv/stream_size/stream_size_out_Eg_d_ref_V.dat");
unsigned int ap_apatb_Eg_q_ref_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Eg_q_ref_V_size_Reader("../tv/stream_size/stream_size_out_Eg_q_ref_V.dat");
unsigned int ap_apatb_Eg_zero_ref_V_cap_bc;
static AESL_RUNTIME_BC __xlx_Eg_zero_ref_V_size_Reader("../tv/stream_size/stream_size_out_Eg_zero_ref_V.dat");
extern "C" void XMC_dq_current_ctrl(float*, float*, float*, float*, float*, float*, float*, float*, float*, float*, float*);
extern "C" void apatb_XMC_dq_current_ctrl_hw(volatile void * __xlx_apatb_param_Ig_d_ref, volatile void * __xlx_apatb_param_Ig_q_ref, volatile void * __xlx_apatb_param_Ig_d, volatile void * __xlx_apatb_param_Ig_q, volatile void * __xlx_apatb_param_Ug_d, volatile void * __xlx_apatb_param_Ug_q, volatile void * __xlx_apatb_param_kp_dq, volatile void * __xlx_apatb_param_kiTs_dq, volatile void * __xlx_apatb_param_Eg_d_ref, volatile void * __xlx_apatb_param_Eg_q_ref, volatile void * __xlx_apatb_param_Eg_zero_ref) {
  // collect __xlx_Ig_d_ref_tmp_vec
  unsigned __xlx_Ig_d_ref_V_tmp_Count = 0;
  unsigned __xlx_Ig_d_ref_V_read_Size = __xlx_Ig_d_ref_V_size_Reader.read_size();
  vector<float> __xlx_Ig_d_ref_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_d_ref)->empty() && __xlx_Ig_d_ref_V_tmp_Count < __xlx_Ig_d_ref_V_read_Size) {
    __xlx_Ig_d_ref_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_d_ref)->read());
    __xlx_Ig_d_ref_V_tmp_Count++;
  }
  ap_apatb_Ig_d_ref_V_cap_bc = __xlx_Ig_d_ref_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_d_ref_input_buffer= new float[__xlx_Ig_d_ref_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_d_ref_tmp_vec.size(); ++i) {
    __xlx_Ig_d_ref_input_buffer[i] = __xlx_Ig_d_ref_tmp_vec[i];
  }
  // collect __xlx_Ig_q_ref_tmp_vec
  unsigned __xlx_Ig_q_ref_V_tmp_Count = 0;
  unsigned __xlx_Ig_q_ref_V_read_Size = __xlx_Ig_q_ref_V_size_Reader.read_size();
  vector<float> __xlx_Ig_q_ref_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_q_ref)->empty() && __xlx_Ig_q_ref_V_tmp_Count < __xlx_Ig_q_ref_V_read_Size) {
    __xlx_Ig_q_ref_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_q_ref)->read());
    __xlx_Ig_q_ref_V_tmp_Count++;
  }
  ap_apatb_Ig_q_ref_V_cap_bc = __xlx_Ig_q_ref_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_q_ref_input_buffer= new float[__xlx_Ig_q_ref_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_q_ref_tmp_vec.size(); ++i) {
    __xlx_Ig_q_ref_input_buffer[i] = __xlx_Ig_q_ref_tmp_vec[i];
  }
  // collect __xlx_Ig_d_tmp_vec
  unsigned __xlx_Ig_d_V_tmp_Count = 0;
  unsigned __xlx_Ig_d_V_read_Size = __xlx_Ig_d_V_size_Reader.read_size();
  vector<float> __xlx_Ig_d_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_d)->empty() && __xlx_Ig_d_V_tmp_Count < __xlx_Ig_d_V_read_Size) {
    __xlx_Ig_d_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_d)->read());
    __xlx_Ig_d_V_tmp_Count++;
  }
  ap_apatb_Ig_d_V_cap_bc = __xlx_Ig_d_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_d_input_buffer= new float[__xlx_Ig_d_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_d_tmp_vec.size(); ++i) {
    __xlx_Ig_d_input_buffer[i] = __xlx_Ig_d_tmp_vec[i];
  }
  // collect __xlx_Ig_q_tmp_vec
  unsigned __xlx_Ig_q_V_tmp_Count = 0;
  unsigned __xlx_Ig_q_V_read_Size = __xlx_Ig_q_V_size_Reader.read_size();
  vector<float> __xlx_Ig_q_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ig_q)->empty() && __xlx_Ig_q_V_tmp_Count < __xlx_Ig_q_V_read_Size) {
    __xlx_Ig_q_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ig_q)->read());
    __xlx_Ig_q_V_tmp_Count++;
  }
  ap_apatb_Ig_q_V_cap_bc = __xlx_Ig_q_tmp_vec.size();
  // store input buffer
  float* __xlx_Ig_q_input_buffer= new float[__xlx_Ig_q_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ig_q_tmp_vec.size(); ++i) {
    __xlx_Ig_q_input_buffer[i] = __xlx_Ig_q_tmp_vec[i];
  }
  // collect __xlx_Ug_d_tmp_vec
  unsigned __xlx_Ug_d_V_tmp_Count = 0;
  unsigned __xlx_Ug_d_V_read_Size = __xlx_Ug_d_V_size_Reader.read_size();
  vector<float> __xlx_Ug_d_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ug_d)->empty() && __xlx_Ug_d_V_tmp_Count < __xlx_Ug_d_V_read_Size) {
    __xlx_Ug_d_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ug_d)->read());
    __xlx_Ug_d_V_tmp_Count++;
  }
  ap_apatb_Ug_d_V_cap_bc = __xlx_Ug_d_tmp_vec.size();
  // store input buffer
  float* __xlx_Ug_d_input_buffer= new float[__xlx_Ug_d_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ug_d_tmp_vec.size(); ++i) {
    __xlx_Ug_d_input_buffer[i] = __xlx_Ug_d_tmp_vec[i];
  }
  // collect __xlx_Ug_q_tmp_vec
  unsigned __xlx_Ug_q_V_tmp_Count = 0;
  unsigned __xlx_Ug_q_V_read_Size = __xlx_Ug_q_V_size_Reader.read_size();
  vector<float> __xlx_Ug_q_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_Ug_q)->empty() && __xlx_Ug_q_V_tmp_Count < __xlx_Ug_q_V_read_Size) {
    __xlx_Ug_q_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_Ug_q)->read());
    __xlx_Ug_q_V_tmp_Count++;
  }
  ap_apatb_Ug_q_V_cap_bc = __xlx_Ug_q_tmp_vec.size();
  // store input buffer
  float* __xlx_Ug_q_input_buffer= new float[__xlx_Ug_q_tmp_vec.size()];
  for (int i = 0; i < __xlx_Ug_q_tmp_vec.size(); ++i) {
    __xlx_Ug_q_input_buffer[i] = __xlx_Ug_q_tmp_vec[i];
  }
  // collect __xlx_kp_dq_tmp_vec
  unsigned __xlx_kp_dq_V_tmp_Count = 0;
  unsigned __xlx_kp_dq_V_read_Size = __xlx_kp_dq_V_size_Reader.read_size();
  vector<float> __xlx_kp_dq_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_kp_dq)->empty() && __xlx_kp_dq_V_tmp_Count < __xlx_kp_dq_V_read_Size) {
    __xlx_kp_dq_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_kp_dq)->read());
    __xlx_kp_dq_V_tmp_Count++;
  }
  ap_apatb_kp_dq_V_cap_bc = __xlx_kp_dq_tmp_vec.size();
  // store input buffer
  float* __xlx_kp_dq_input_buffer= new float[__xlx_kp_dq_tmp_vec.size()];
  for (int i = 0; i < __xlx_kp_dq_tmp_vec.size(); ++i) {
    __xlx_kp_dq_input_buffer[i] = __xlx_kp_dq_tmp_vec[i];
  }
  // collect __xlx_kiTs_dq_tmp_vec
  unsigned __xlx_kiTs_dq_V_tmp_Count = 0;
  unsigned __xlx_kiTs_dq_V_read_Size = __xlx_kiTs_dq_V_size_Reader.read_size();
  vector<float> __xlx_kiTs_dq_tmp_vec;
  while (!((hls::stream<float>*)__xlx_apatb_param_kiTs_dq)->empty() && __xlx_kiTs_dq_V_tmp_Count < __xlx_kiTs_dq_V_read_Size) {
    __xlx_kiTs_dq_tmp_vec.push_back(((hls::stream<float>*)__xlx_apatb_param_kiTs_dq)->read());
    __xlx_kiTs_dq_V_tmp_Count++;
  }
  ap_apatb_kiTs_dq_V_cap_bc = __xlx_kiTs_dq_tmp_vec.size();
  // store input buffer
  float* __xlx_kiTs_dq_input_buffer= new float[__xlx_kiTs_dq_tmp_vec.size()];
  for (int i = 0; i < __xlx_kiTs_dq_tmp_vec.size(); ++i) {
    __xlx_kiTs_dq_input_buffer[i] = __xlx_kiTs_dq_tmp_vec[i];
  }
  //Create input buffer for Eg_d_ref
  ap_apatb_Eg_d_ref_V_cap_bc = __xlx_Eg_d_ref_V_size_Reader.read_size();
  float* __xlx_Eg_d_ref_input_buffer= new float[ap_apatb_Eg_d_ref_V_cap_bc];
  //Create input buffer for Eg_q_ref
  ap_apatb_Eg_q_ref_V_cap_bc = __xlx_Eg_q_ref_V_size_Reader.read_size();
  float* __xlx_Eg_q_ref_input_buffer= new float[ap_apatb_Eg_q_ref_V_cap_bc];
  //Create input buffer for Eg_zero_ref
  ap_apatb_Eg_zero_ref_V_cap_bc = __xlx_Eg_zero_ref_V_size_Reader.read_size();
  float* __xlx_Eg_zero_ref_input_buffer= new float[ap_apatb_Eg_zero_ref_V_cap_bc];
  // DUT call
  XMC_dq_current_ctrl(__xlx_Ig_d_ref_input_buffer, __xlx_Ig_q_ref_input_buffer, __xlx_Ig_d_input_buffer, __xlx_Ig_q_input_buffer, __xlx_Ug_d_input_buffer, __xlx_Ug_q_input_buffer, __xlx_kp_dq_input_buffer, __xlx_kiTs_dq_input_buffer, __xlx_Eg_d_ref_input_buffer, __xlx_Eg_q_ref_input_buffer, __xlx_Eg_zero_ref_input_buffer);
  for (unsigned i = 0; i <ap_apatb_Eg_d_ref_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Eg_d_ref)->write(__xlx_Eg_d_ref_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Eg_q_ref_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Eg_q_ref)->write(__xlx_Eg_q_ref_input_buffer[i]);
  for (unsigned i = 0; i <ap_apatb_Eg_zero_ref_V_cap_bc; ++i)
    ((hls::stream<float>*)__xlx_apatb_param_Eg_zero_ref)->write(__xlx_Eg_zero_ref_input_buffer[i]);
}
