#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst_n", 1, hls_in, -1, "", "", 1),
	Port_Property("Ig_d_ref_V_TDATA", 32, hls_in, 0, "axis", "in_data", 1),
	Port_Property("Ig_d_ref_V_TVALID", 1, hls_in, 0, "axis", "in_vld", 1),
	Port_Property("Ig_d_ref_V_TREADY", 1, hls_out, 0, "axis", "in_acc", 1),
	Port_Property("Ig_q_ref_V_TDATA", 32, hls_in, 1, "axis", "in_data", 1),
	Port_Property("Ig_q_ref_V_TVALID", 1, hls_in, 1, "axis", "in_vld", 1),
	Port_Property("Ig_q_ref_V_TREADY", 1, hls_out, 1, "axis", "in_acc", 1),
	Port_Property("Ig_d_V_TDATA", 32, hls_in, 2, "axis", "in_data", 1),
	Port_Property("Ig_d_V_TVALID", 1, hls_in, 2, "axis", "in_vld", 1),
	Port_Property("Ig_d_V_TREADY", 1, hls_out, 2, "axis", "in_acc", 1),
	Port_Property("Ig_q_V_TDATA", 32, hls_in, 3, "axis", "in_data", 1),
	Port_Property("Ig_q_V_TVALID", 1, hls_in, 3, "axis", "in_vld", 1),
	Port_Property("Ig_q_V_TREADY", 1, hls_out, 3, "axis", "in_acc", 1),
	Port_Property("Ug_d_V_TDATA", 32, hls_in, 4, "axis", "in_data", 1),
	Port_Property("Ug_d_V_TVALID", 1, hls_in, 4, "axis", "in_vld", 1),
	Port_Property("Ug_d_V_TREADY", 1, hls_out, 4, "axis", "in_acc", 1),
	Port_Property("Ug_q_V_TDATA", 32, hls_in, 5, "axis", "in_data", 1),
	Port_Property("Ug_q_V_TVALID", 1, hls_in, 5, "axis", "in_vld", 1),
	Port_Property("Ug_q_V_TREADY", 1, hls_out, 5, "axis", "in_acc", 1),
	Port_Property("kp_dq_V_TDATA", 32, hls_in, 6, "axis", "in_data", 1),
	Port_Property("kp_dq_V_TVALID", 1, hls_in, 6, "axis", "in_vld", 1),
	Port_Property("kp_dq_V_TREADY", 1, hls_out, 6, "axis", "in_acc", 1),
	Port_Property("kiTs_dq_V_TDATA", 32, hls_in, 7, "axis", "in_data", 1),
	Port_Property("kiTs_dq_V_TVALID", 1, hls_in, 7, "axis", "in_vld", 1),
	Port_Property("kiTs_dq_V_TREADY", 1, hls_out, 7, "axis", "in_acc", 1),
	Port_Property("Eg_d_ref_V_TDATA", 32, hls_out, 8, "axis", "out_data", 1),
	Port_Property("Eg_d_ref_V_TVALID", 1, hls_out, 8, "axis", "out_vld", 1),
	Port_Property("Eg_d_ref_V_TREADY", 1, hls_in, 8, "axis", "out_acc", 1),
	Port_Property("Eg_q_ref_V_TDATA", 32, hls_out, 9, "axis", "out_data", 1),
	Port_Property("Eg_q_ref_V_TVALID", 1, hls_out, 9, "axis", "out_vld", 1),
	Port_Property("Eg_q_ref_V_TREADY", 1, hls_in, 9, "axis", "out_acc", 1),
	Port_Property("Eg_zero_ref_V_TDATA", 32, hls_out, 10, "axis", "out_data", 1),
	Port_Property("Eg_zero_ref_V_TVALID", 1, hls_out, 10, "axis", "out_vld", 1),
	Port_Property("Eg_zero_ref_V_TREADY", 1, hls_in, 10, "axis", "out_acc", 1),
};
const char* HLS_Design_Meta::dut_name = "XMC_dq_current_ctrl";
